"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 15.11.21

"""
from django.contrib.auth.models import User
from django.db import models


class KonovaUserExtension(models.Model):
    """ Extension model for additional ksp features

    Extends the default user model for some extras

    """
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    notifications = models.ManyToManyField("user.UserNotification", related_name="+")
